API referenceCustom fields
Create custom field
Define a custom field in the company workspace. The key is unique in the workspace and is the key of the field in the customFields object of a user.
POST
/custom-fieldscurl -X POST "https://api.corma.io/v1/custom-fields" \
-H "x-corma-api-key: $CORMA_OPEN_API_KEY" \
-H "Content-Type: application/json" \
-d '{
"key": "string",
"label": "string",
"type": "text"
}'Authorization
x-corma-api-keystringheaderrequiredColon-separated API key ID and secret:
API_KEY_ID:API_KEY_SECRET
Parameters
x-corma-idempotency-keystringheaderOptional client-generated key. Reusing the same key with an identical request replays the original response instead of enqueueing a duplicate task.
Body
application/json
keystringrequiredlabelstringrequiredtypeenum<string>requiredOne of:textnumberbooleandateuserentityenum<string>One of:userDefault:user
Response
application/json201
OK
keystringrequiredlabelstringrequiredtypeenum<string>requiredOne of:textnumberbooleandateuserentityenum<string>requiredOne of:usercreatedAtstring<date-time>requiredThe timestamp of when this resource was created. ISO 8601 format.
updatedAtstring<date-time>requiredThe timestamp of the last update to this resource. ISO 8601 format.
{
"key": "string",
"label": "string",
"type": "text",
"entity": "user",
"createdAt": "2026-01-15T09:30:00Z",
"updatedAt": "2026-01-15T09:30:00Z"
}